TTF_FontIsFixedWidth(3)

NAME
TTF_FontIsFixedWidth - Query whether a font is fixed-width.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_FontIsFixedWidth(const TTF_Font *font);

DESCRIPTION
A "fixed-width" font means all glyphs are the same width across; a lowercase 'i' will be the same size across as a capital 'W', for example. This is common for terminals and text editors, and other apps that treat text as a grid. Most other things (WYSIWYG word processors, web pages, etc) are more likely to not be fixed-width in most cases.

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns true if the font is fixed-width, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.